petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatPartitioningPartySetMatchOptimization

Activate matching optimization for graph reduction.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPartySetMatchOptimization(MatPartitioning part,PetscBool opt)

Collective on MatPartitioning

### Input Parameters

| part | - the partitioning context
| opt | - boolean flag

### Options Database

-mat_partitioning_party_match_optimization -Matching optimization on/off

### Level

advanced

### Location

src/mat/partition/impls/party/party.c

### Implementations

MatPartitioningPartySetMatchOptimization_Party in src/mat/partition/impls/party/party.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages